# OS_NS_sys_utsname.h File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE_export.h"`
`#include "ace/os_include/sys/os_utsname.h"`

Include dependency graph for OS_NS_sys_utsname.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_OS

## Defines

#define | ACE_EXPORT_MACRO ACE_Export

## Functions

ACE_Export int | uname (ACE_utsname *name)

## Variables

typedefACE_BEGIN_VERSIONED_NAMESPACE_DECL struct utsname | ACE_utsname

## Detailed Description

Id
  OS_NS_sys_utsname.h,v 1.6 2006/01/05 11:47:04 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

## Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL int ACE_OS::uname | ( | ACE_utsname * | name | ) |

## Variable Documentation

typedefACE_BEGIN_VERSIONED_NAMESPACE_DECL struct utsname ACE_utsname